package src.main.java;

public class Simulation {
    
    public static void main(String[] args) {
        Simulation sim = new Simulation(2, 1000000);
        sim.runSimulation();
        sim.printResults(); 
    }
    
    private Dice d;
    private int numDice;
    private int numTosses;
    private Bins counts;
    
    public Simulation(int numDice, int numTosses) {
        d = new Dice(numDice);
        this.numTosses = numTosses; 
        this.numDice = numDice;
        counts = new Bins(numDice, numDice*6);
    }
    
    public void runSimulation() {
        for (int i = 0; i < numTosses; i++) {
            counts.addCount(d.tossAndSum());
        }
    }
    
    public void printResults() {
        for (int i = numDice; i <= numDice*6; i++) {
            StringBuilder output = new StringBuilder();
            int currCount = counts.getCount(i);
            output.append(String.format("%2d :%9d: %01.2f ", i, currCount, (Math.round(((float)currCount/(float)numTosses)*100.0) / 100.0) )); 
            for (int j = 0; j < (int) (((float)currCount / (float)numTosses) * 100); j++) {
                output.append('*');
            }
            System.out.println(output.toString());
        }
        
    }

}
